List tags
Get a paginated list of tags
GET
/
v1
/
tags
List tags
curl --request GET \
--url https://api.marblecms.com/v1/tags \
--header 'Authorization: <api-key>'import requests
url = "https://api.marblecms.com/v1/tags"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.marblecms.com/v1/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tags": [
{
"id": "cryitfjp4567no07ygqadhm1",
"name": "JavaScript",
"slug": "javascript",
"description": "JavaScript tutorials",
"count": {
"posts": 8
}
}
],
"pagination": {
"limit": 10,
"currentPage": 1,
"nextPage": 2,
"previousPage": null,
"totalPages": 5,
"totalItems": 42
}
}{
"error": "Invalid query parameters",
"details": [
{
"field": "limit",
"message": "Expected number, received string"
}
],
"message": "Validation failed"
}{
"error": "Internal server error",
"message": "Failed to fetch resource"
}Authorizations
Your Marble API key
Query Parameters
Number of items per page (1-100)
Required range:
1 <= x <= 100Example:
"10"
Page number
Required range:
x > 0Example:
"1"
Was this page helpful?
⌘I
List tags
